Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047405
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2021-07-16 16:532021-07-22 18:41
Reportercollazoandy4View Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR21Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047405: New customers created from receipt property is not assigned to the ticket

DescriptionAfter a new customer is created and the previous popup is the receipt properties popup this customer can be assigned directly to the ticket because the OBPOS_preChangeBusinessPartner hook doesn't take into account the parent target (filterSelectorButton_receiptProperties) send from assigncustomertoticket button
Steps To ReproduceLog in YS-11 Pos Terminal
Open receipt properties popup
Open customer propup and create a new record
Save the customer created
Click on Assign to receipt button and check the customer is not added to the receipt
Proposed SolutionAdd a new if clasue in OBPOS_preChangeBusinessPartner hook to check if the event target is filterSelectorButton_receiptProperties to properly add the customer to the ticket
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0130702)
hgbot (developer)
2021-07-22 17:00

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/522 [^]
(0130704)
hgbot (developer)
2021-07-22 18:41

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/522 [^]
(0130705)
hgbot (developer)
2021-07-22 18:41

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: a680a844fd10cf8286451ea4d6a0a0ee0e17c257
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-07-21T14:21:19-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/a680a844fd10cf8286451ea4d6a0a0ee0e17c257 [^]

Fixed BUG-47405: Added a new if clause in OBPOS_preChangeBusinessPartner hook to check if the event target is filterSelectorButton_receiptProperties to properly add the customer to the ticket

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---

- Issue History
Date Modified Username Field Change
2021-07-16 16:53 collazoandy4 New Issue
2021-07-16 16:53 collazoandy4 Assigned To => Retail
2021-07-16 16:53 collazoandy4 Triggers an Emergency Pack => No
2021-07-19 22:49 rqueralta Assigned To Retail => rqueralta
2021-07-19 22:50 rqueralta Status new => scheduled
2021-07-22 17:00 hgbot Note Added: 0130702
2021-07-22 18:41 hgbot Resolution open => fixed
2021-07-22 18:41 hgbot Status scheduled => closed
2021-07-22 18:41 hgbot Note Added: 0130704
2021-07-22 18:41 hgbot Fixed in Version => RR21Q4
2021-07-22 18:41 hgbot Note Added: 0130705


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker